<template>
    <div>
        <v-container>
            <v-row>
                <v-col sm="8">
                    <GmapMap
                        :center="{lat:5.316667, lng:-4.033333}"
                        :zoom="13"
                        map-type-id="terrain"
                        style="width: 720px; height: 360px"
                    >
                    </GmapMap>
                </v-col>
                <v-col sm="4">
                    <v-card
                        class="mx-auto"
                    >
                        <v-list flat>
                        <v-list-item-group
                            v-model="cardModel"
                            color="indigo"
                        >
                            <v-list-item>
                                <v-list-item-icon>
                                    <v-icon v-text="'mdi-account'"></v-icon>
                                </v-list-item-icon>

                                <v-list-item-content>
                                    <v-list-item-title> Ballo issiaka</v-list-item-title>
                                </v-list-item-content>
                            </v-list-item>
                            <v-divider></v-divider>
                            <v-list-item>
                                <v-list-item-icon>
                                    <v-icon v-text="'mdi-phone'"></v-icon>
                                </v-list-item-icon>

                                <v-list-item-content>
                                    <v-list-item-title> Appeler</v-list-item-title>
                                </v-list-item-content>
                            </v-list-item>
                            <v-divider></v-divider>
                            <v-list-item>
                                <v-list-item-icon>
                                    <v-icon v-text="'mdi-whatsapp'"></v-icon>
                                </v-list-item-icon>

                                <v-list-item-content>
                                    <v-list-item-title> contacter par whatsapp</v-list-item-title>
                                </v-list-item-content>
                            </v-list-item>
                            <v-divider></v-divider>
                            <v-list-item>
                                <v-list-item-icon>
                                    <v-icon v-text="'mdi-map'"></v-icon>
                                </v-list-item-icon>

                                <v-list-item-content>
                                    <v-list-item-title> Suivre itinéraire</v-list-item-title>
                                </v-list-item-content>
                            </v-list-item>
                            <v-divider></v-divider>
                            <v-list-item>
                                <v-list-item-icon>
                                    <v-icon v-text="'mdi-email'"></v-icon>
                                </v-list-item-icon>

                                <v-list-item-content>
                                    <v-list-item-title> contacter par mail</v-list-item-title>
                                </v-list-item-content>
                            </v-list-item>
                            <v-divider></v-divider>
                            <v-list-item>
                                <v-list-item-icon>
                                    <v-icon v-text="'mdi-share'"></v-icon>
                                </v-list-item-icon>

                                <v-list-item-content>
                                        <v-dialog
                                        v-model="dialog"
                                        width="500"
                                        >
                                            <template v-slot:activator="{ on, attrs }">
                                                <v-list-item-title v-on="on" v-bind="attrs"> Partager</v-list-item-title>
                                            </template>
                                            <v-card>
                                                <v-card-title class="headline grey lighten-2">
                                                Partager sur vos réseaux
                                                </v-card-title>

                                                <v-card-text>
                                                    <v-row align="center">
                                                        <v-col sm="2">
                                                            <v-btn fab color="blue darken-3">
                                                                <v-icon color="white">mdi-facebook</v-icon>
                                                            </v-btn>
                                                        </v-col>
                                                        <v-col sm="2">
                                                            <v-btn fab color="pink darken-2">
                                                                <v-icon color="white">mdi-instagram</v-icon>
                                                            </v-btn>
                                                        </v-col>
                                                        <v-col sm="2">
                                                            <v-btn fab color="green darken-1">
                                                                <v-icon color="white">mdi-whatsapp</v-icon>
                                                            </v-btn>
                                                        </v-col>
                                                        <v-col sm="2">
                                                            <v-btn fab color="blue">
                                                                <v-icon color="white" >mdi-twitter</v-icon>
                                                            </v-btn>
                                                        </v-col>
                                                    </v-row>
                                                </v-card-text>

                                                <v-divider></v-divider>

                                                <v-card-actions>
                                                <v-spacer></v-spacer>
                                                <v-btn
                                                    color="primary"
                                                    text
                                                    @click="dialog = false"
                                                >
                                                    FERMER
                                                </v-btn>
                                                </v-card-actions>
                                            </v-card>
                                        </v-dialog>
                                </v-list-item-content>
                            </v-list-item>
                        </v-list-item-group>
                        </v-list>
                    </v-card>
                </v-col>
            </v-row>
        </v-container>
    </div>
</template>
<script>
export default {
    name : 'Service',
    data: ()=>({
        dialog: false,
    }),
}
</script>